Wide Studio Object Reference

Wide Studio Home
Up to

## Class name

WSCtextField

## Properties

Properties of the class: WSCtextField are as follows.

Type | Property Name | Supplement | Default

unsigned short | WSNbarThickness | Bar thickness | 16

short | WSNworkBackColor | Work background | DEF11

short | WSNbarShadowColor | Bar shadow color | DEF12

unsigned char | WSNmargin | Margin | 4

WSCbool | WSNenableInput | Enable input | 1

| Off | False ( 0 ) |

| On | True ( 1 ) |

unsigned long | WSNvbarValue | Vertical bar position | 0

unsigned long | WSNhbarValue | Horizontal bar position | 0

unsigned char | WSNfont | Font No. | 0

char* | WSNname | Name |

char* | WSNuserString | User string |

long | WSNuserValue | User value | 0

short | WSNx | X | 100

short | WSNy | Y | 100

unsigned short | WSNwidth | Width | 100

unsigned short | WSNheight | Height | 30

unsigned char | WSNshadowThickness | Shadow thickness | 2

short | WSNforeColor | Foreground | DEF2

short | WSNbackColor | Background | DEF1

short | WSNtopShadowColor | Top shadow color | DEF3

short | WSNbottomShadowColor | Bottom shadow color | DEF4

short | WSNbackPixmap | Back pixmap |

char | WSNshadowType | Shadow type | 1

| In | WS_SHADOW_IN ( 1 ) |

| Out | WS_SHADOW_OUT ( 0 ) |

| Etched in | WS_SHADOW_EIN ( 3 ) |

| Etched out | WS_SHADOW_EOUT ( 2 ) |

| Border | WS_SHADOW_BORDER ( 4 ) |

| None | WS_SHADOW_TRANS ( -1 ) |

WSCbool | WSNvis | Visibility | 0

| Invisible | False ( 0 ) |

| Visible | True ( 1 ) |

WSCbool | WSNdet | Sensitivity | 1

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

unsigned char | WSNpixmapStyle | Pixmap style | 0

| Window | WS_DIRECT_WINDOW ( 0 ) |

| Dynamic pixmap | WS_DYNAMIC_PIXMAP ( 1 ) |

unsigned short | WSNmouse | Mouse No. | 0

unsigned short | WSNanchorTop | AnchorTop | 0

unsigned short | WSNanchorBottom | AnchorBottom | 0

unsigned short | WSNanchorLeft | AnchorLeft | 0

unsigned short | WSNanchorRight | AnchorRight | 0

WSCbool | WSNanchorTopFlag | AnchorTopFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorBottomFlag | AnchorBottomFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorLeftFlag | AnchorLeftFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorRightFlag | AnchorRightFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNexport | Export | 0

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

short | WSNcursorPos | Cursor position | 0

WSCbool | WSNcursorAdjust | Cursor adjusting | 1

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

WSCbool | WSNnoHatch | No hatching | 0

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

WSCbool | WSNreturnKeyFocus | Return key focus | 1

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

unsigned char | WSNdataSource | DataSource | 0

| None | ( 0 ) |

| Instance | ( 1 ) |

| File | ( 2 ) |

char* | WSNdataSourceName | DataSourceName |

WSCbool | WSNdisplayOnly | DisplayOnly | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNreverseFlag | Reverse on | 0

| no | False ( 0 ) |

| yes | True ( 1 ) |

short | WSNbackBlinkColor | Back blink color | DEF13

unsigned char | WSNblinkType | Blink type | 0

| Foreground | WS_FORE ( 0 ) |

| Background | WS_BACK ( 1 ) |

| Fore/Back | WS_BOTH ( 2 ) |

char* | WSNlabelString | Label string |

unsigned char | WSNmarginTop | Margin top | 2

unsigned char | WSNmarginBottom | Margin bottom | 2

unsigned char | WSNmarginLeft | Margin Left | 2

unsigned char | WSNmarginRight | Margin Right | 2

short | WSNlabelPixmap | Label pixmap |

short | WSNblinkPixmap | Blink pixmap |

WSCbool | WSNblinkRefreshing | Blink refresing | 0

WSCbool | WSNtwinBlink | Twin blinking | 0

| no | False ( 0 ) |

| yes | True ( 1 ) |

short | WSNblinkColor | Blink color | DEF13

unsigned char | WSNblinkRate | Blink rate | 1

| 0.25s | WS250MS ( 1 ) |

| 0.50s | WS500MS ( 2 ) |

| 0.75s | WS750MS ( 3 ) |

| 1.00s | WS1000MS ( 4 ) |

| 2.00s | WS2000MS ( 8 ) |

| 3.00s | WS3000MS ( 12 ) |

| 5.00s | WS5000MS ( 20 ) |

WSCbool | WSNblinkFlag | Blinking | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

## Specification of properties

- WSNbarThickness
  Function
    Spesifies the Bar thickness.
  Notice

- WSNworkBackColor
  Function
    Spesifies the Work background.
  Notice

- WSNbarShadowColor
  Function
    Spesifies the Bar shadow color.
  Notice

- WSNmargin
  Function
    Spesifies the Margin.
  Notice

- WSNenableInput
  Function
    Spesifies the Enable input.
  Notice

- WSNvbarValue
  Function
    Spesifies the Vertical bar position.
  Notice

- WSNhbarValue
  Function
    Spesifies the Horizontal bar position.
  Notice

- WSNfont
  Function
    Spesifies the Font No..
  Notice

- WSNname
  Function
    Spesifies the Name.
  Notice

- WSNuserString
  Function
    Spesifies the User string.
  Notice

- WSNuserValue
  Function
    Spesifies the User value.
  Notice

- WSNx
  Function
    Spesifies the X.
  Notice

- WSNy
  Function
    Spesifies the Y.
  Notice

- WSNwidth
  Function
    Spesifies the Width.
  Notice

- WSNheight
  Function
    Spesifies the Height.
  Notice

- WSNshadowThickness
  Function
    Spesifies the Shadow thickness.
  Notice

- WSNforeColor
  Function
    Spesifies the Foreground.
  Notice

- WSNbackColor
  Function
    Spesifies the Background.
  Notice

- WSNtopShadowColor
  Function
    Spesifies the Top shadow color.
  Notice

- WSNbottomShadowColor
  Function
    Spesifies the Bottom shadow color.
  Notice

- WSNbackPixmap
  Function
    Spesifies the Back pixmap.
  Notice

- WSNshadowType
  Function
    Spesifies the Shadow type.
  Notice

- WSNvis
  Function
    Spesifies the Visibility.
  Notice

- WSNdet
  Function
    Spesifies the Sensitivity.
  Notice

- WSNpixmapStyle
  Function
    Spesifies the Pixmap style.
  Notice

- WSNmouse
  Function
    Spesifies the Mouse No..
  Notice

- WSNanchorTop
  Function
    Spesifies the AnchorTop.
  Notice

- WSNanchorBottom
  Function
    Spesifies the AnchorBottom.
  Notice

- WSNanchorLeft
  Function
    Spesifies the AnchorLeft.
  Notice

- WSNanchorRight
  Function
    Spesifies the AnchorRight.
  Notice

- WSNanchorTopFlag
  Function
    Spesifies the AnchorTopFlag.
  Notice

- WSNanchorBottomFlag
  Function
    Spesifies the AnchorBottomFlag.
  Notice

- WSNanchorLeftFlag
  Function
    Spesifies the AnchorLeftFlag.
  Notice

- WSNanchorRightFlag
  Function
    Spesifies the AnchorRightFlag.
  Notice

- WSNexport
  Function
    Spesifies the Export.
  Notice

- WSNcursorPos
  Function
    Spesifies the Cursor position.
  Notice

- WSNcursorAdjust
  Function
    Spesifies the Cursor adjusting.
  Notice

- WSNnoHatch
  Function
    Spesifies the No hatching.
  Notice

- WSNreturnKeyFocus
  Function
    Spesifies the Return key focus.
  Notice

- WSNdataSource
  Function
    Spesifies the DataSource.
  Notice

- WSNdataSourceName
  Function
    Spesifies the DataSourceName.
  Notice

- WSNdisplayOnly
  Function
    Spesifies the DisplayOnly.
  Notice

- WSNreverseFlag
  Function
    Spesifies the Reverse on.
  Notice

- WSNbackBlinkColor
  Function
    Spesifies the Back blink color.
  Notice

- WSNblinkType
  Function
    Spesifies the Blink type.
  Notice

- WSNlabelString
  Function
    Spesifies the Label string.
  Notice

- WSNmarginTop
  Function
    Spesifies the Margin top.
  Notice

- WSNmarginBottom
  Function
    Spesifies the Margin bottom.
  Notice

- WSNmarginLeft
  Function
    Spesifies the Margin Left.
  Notice

- WSNmarginRight
  Function
    Spesifies the Margin Right.
  Notice

- WSNlabelPixmap
  Function
    Spesifies the Label pixmap.
  Notice

- WSNblinkPixmap
  Function
    Spesifies the Blink pixmap.
  Notice

- WSNblinkRefreshing
  Function
    Spesifies the Blink refresing.
  Notice

- WSNtwinBlink
  Function
    Spesifies the Twin blinking.
  Notice

- WSNblinkColor
  Function
    Spesifies the Blink color.
  Notice

- WSNblinkRate
  Function
    Spesifies the Blink rate.
  Notice

- WSNblinkFlag
  Function
    Spesifies the Blinking.
  Notice

Document Release 3.70
For Use with Wide Studio Release 3.70, Spring 2004

Wide Stuido Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004